#ifndef BUTTON_H
#define BUTTON_H

#include "Widget.h"
//#include "sdlglutils.h"
#include "utils.h"

class Button : public Widget
{
	protected:
		int state;
		char * caption;
		int nb;

	public:
		Button();
		~Button();
		void setState(int s);
		int getState();
		void setCaption(char * c,int n);
		int getCaption(char * c);
		void draw();
		int isOver(int mousex,int mousey);
		void print();
};
#endif
